aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGlen Barber <gjb@FreeBSD.org>2021-01-04 18:37:07 +0000
committerGlen Barber <gjb@FreeBSD.org>2021-01-04 18:38:21 +0000
commit3e766ab07cfba284d32fb482a981a31b15b6f21e (patch)
tree6d28d67ed91ce11b7d65da043ea8a92050c631f8
parent2a60f7e7516ac432f8a10c3765984494e98864fa (diff)
downloaddoc-3e766ab07cfba284d32fb482a981a31b15b6f21e.tar.gz
doc-3e766ab07cfba284d32fb482a981a31b15b6f21e.zip
Add GITARGS to dobuild.sh
When local.conf exists, GITARGS can be used to append checkout-specific arguments to git. Sponsored by: Rubicon Communications, LLC (netgate.com)
-rwxr-xr-xshare/tools/dobuild.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/share/tools/dobuild.sh b/share/tools/dobuild.sh
index 9e16187121..b83e00f0d1 100755
--- a/share/tools/dobuild.sh
+++ b/share/tools/dobuild.sh
@@ -61,7 +61,7 @@ if [ -z "${NOCLEAN}" ]; then
rm -Rf doc out 2>/dev/null
echo "===> Check out the new doc"
- git clone -b main ${DOCGIT} doc || exit 2
+ git clone ${GITARGS} -b main ${DOCGIT} doc || exit 2
fi
cd $BUILDDIR/doc || exit 1